GlueGen: com.jogamp.gluegen.JavaType.PascalStringElem Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.JavaType.PascalStringElem Class Reference

Pascal string argument index tuple for length and value. More...

Collaboration diagram for com.jogamp.gluegen.JavaType.PascalStringElem:

## Public Member Functions

String | toString ()

## Static Public Member Functions

static final List< Integer > | pushValueIndex (final List< PascalStringElem > source, List< Integer > indices)
static final List< Integer > | pushLengthIndex (final List< PascalStringElem > source)
static PascalStringElem | getByValueIdx (final List< PascalStringElem > pascals, final int valueIdx)
static PascalStringElem | getByLengthIdx (final List< PascalStringElem > pascals, final int lengthIdx)

## Public Attributes

final int | lengthIdx
final int | valueIdx

## Detailed Description

Pascal string argument index tuple for length and value.

Definition at line 65 of file JavaType.java.

## Member Function Documentation

## ◆ getByLengthIdx()

static PascalStringElem com.jogamp.gluegen.JavaType.PascalStringElem.getByLengthIdx | ( | final List< PascalStringElem > | pascals,
|  | final int | lengthIdx
| ) |  |

static

Definition at line 101 of file JavaType.java.

## ◆ getByValueIdx()

static PascalStringElem com.jogamp.gluegen.JavaType.PascalStringElem.getByValueIdx | ( | final List< PascalStringElem > | pascals,
|  | final int | valueIdx
| ) |  |

static

Definition at line 91 of file JavaType.java.

## ◆ pushLengthIndex()

static final List< Integer > com.jogamp.gluegen.JavaType.PascalStringElem.pushLengthIndex | ( | final List< PascalStringElem > | source | ) |

static

Definition at line 83 of file JavaType.java.

## ◆ pushValueIndex()

static final List< Integer > com.jogamp.gluegen.JavaType.PascalStringElem.pushValueIndex | ( | final List< PascalStringElem > | source,
|  | List< Integer > | indices
| ) |  |

static

Definition at line 74 of file JavaType.java.

## ◆ toString()

String com.jogamp.gluegen.JavaType.PascalStringElem.toString | ( |  | ) |

Definition at line 113 of file JavaType.java.

## Member Data Documentation

## ◆ lengthIdx

final int com.jogamp.gluegen.JavaType.PascalStringElem.lengthIdx

Definition at line 66 of file JavaType.java.

## ◆ valueIdx

final int com.jogamp.gluegen.JavaType.PascalStringElem.valueIdx

Definition at line 67 of file JavaType.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/JavaType.java